; ##############################################################################
; ##############################################################################
; ##############################################################################
USART_INITIALISIEREN:

	ldi temp,TAKT/(BAUD*16)-1  		; Baudrate 
	out UBRRL,temp
   	ldi temp, (1<<URSEL)|(3<<UCSZ0)	; Frame-Format: 8 Bit
    out UCSRC, temp
    sbi UCSRB, RXCIE                ; Interrupt bei Empfang			
    sbi UCSRB, RXEN 				; RX (Empfang) aktivieren       
	sbi UCSRB, TXEN  				; TX aktivieren                 

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Interruptroutine: wird ausgefhrt sobald ein Byte ber das UART empfangen wurde
ZEICHEN_EINLESEN:
	push TEMP		    ; Sichern von "TEMP" im Stack
	push TEMP1
	push TEMP2
	push TEMP3
	push TEMP4
	push TEMP5
	push TEMP6
	push TEMP7
	push TEMP8
	in	 TEMP,SREG		; Einlesen des SREG 
	push TEMP	    	; Schreiben von  SREG  im Stack (KOPIE)
; -------------------------------


; -------------------------------
	pop	TEMP			; LESEN von SREG vom STACK (KOPIE)
	out	SREG,TEMP		; Wiederherstellen von SREG
	pop TEMP8
	pop TEMP7
	pop TEMP6
	pop TEMP5
	pop TEMP4
	pop TEMP3
	pop TEMP2
	pop TEMP1
	pop	TEMP			; Wiederherstellen von "TEMP" 		
reti              
; ##############################################################################
; ##############################################################################
; ##############################################################################
KOMPLETTES_PROTOKOLL_SENDEN:
; VORSPANN				
	ldi temp1,'*'
	rcall SENDEN						; SENDEN INP: TEMP1
	rcall SENDEN						; SENDEN INP: TEMP1
	rcall SENDEN						; SENDEN INP: TEMP1
; DATEN					

	rcall SENDEN						; SENDEN INP: TEMP1	

	rcall SENDEN						; SENDEN INP: TEMP1	

	rcall SENDEN						; SENDEN INP: TEMP1	

	rcall SENDEN						; SENDEN INP: TEMP1	


					
; NACHSPANN				
	ldi temp1,'#'
	rcall SENDEN	; INP: TEMP1										
	rcall SENDEN	; INP: TEMP1										
	rcall SENDEN	; INP: TEMP1										
ret

; ##############################################################################
; ##############################################################################
; ##############################################################################
; 	INPUT: temp1														
;																		
;	rcall SENDEN	; INP: TEMP1										
;																		
SENDEN:
	WDR 					; Watch-Dog-RESET					
	sbis UCSRA,UDRE     	; Warten bis UDR frei             	
	rjmp senden				; Sprung							
	out UDR, temp1			; senden							
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################